/**
 * License Agreement.
 *
 *  JBoss RichFaces - Ajax4jsf Component Library
 *
 * Copyright (C) 2007  Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */
package org.richfaces.realworld.servlet;

public class WebUtil {

    public static String getFileName(String path) {
        // Path format is "/file_name.jpg"
        if (path != null && path.length() > 1) {
            String fileName = path.substring(1);
            int dotIndex = fileName.indexOf('.');
            String extention = fileName.substring(dotIndex + 1);
            if (extention.equals(Extention.jpg.getExtention())
                    || extention.equals(Extention.jpeg.getExtention()))
            {
                return fileName;
            }
        }
        return null;
    }

    enum Extention {
        jpg("jpg"), jpeg("jpeg");

        Extention(String extention) {
            this.extention = extention;
        }

        private String extention;

        String getExtention() {
            return this.extention;
        }
    }
}